DIRNAME(1)

NIMI
dirname - poista muu kuin hakemistonimi tiedostonimestä

YLEISKATSAUS
dirname [VALITSIN] NIMI...

KUVAUS

Tulosta kukin NIMI loppuosa katkaistuna viimeisestä /-merkistä alkaen; jos NIMI ei sisällä /-merkkejä, tulostetaan ”.” (tarkoittaen nykyistä hakemistoa).

-z, --zero
    päätä rivit NUL-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

ESIMERKKEJÄ

dirname /usr/bin/
    -> "/usr"

dirname hak1/nimi hak2/nimi
    -> ”hak1” ja sen jälkeen ”hak2”

dirname stdio.h
    -> "."

TEKIJÄ
Kirjoittaneet David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
basename(1), readlink(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/dirname>
tai saatavilla paikallisesti: info '(coreutils) dirname invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Lauri Nurmi <lanurmi@kauhajoki.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.